Bug 10664 - esound 0.2.18
Summary: esound 0.2.18
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: esound   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-08 17:24 UTC by compwiz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 14:40:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description compwiz 2000-04-08 17:24:08 UTC
Esound 0.2.18 cuts off the last part of any sound that is played, or on a
long file, corrupts the sound so that it is unlistenable.

Comment 1 fortytwo 2000-04-12 21:10:59 UTC
I get this too.  In particular, using mpg123 to play a 192kbps, 44100 Hz mp3
results in very broken-up sound.  It sounds to me like it's playing the first
half-second (or less) of each second (or so) of sound, without even any pause
between them.  mpg123 is called with "-b 2048".  This occurs with esd
automatically spawned as well as invoked by hand.

Reverting esound to 0.2.17 fixes it.

Machine details:
2.2.15pre17 with the usb-backport patch
es1371 sound modules, kernel drivers (ie., not ESS; but also not OSS)
Redhat mpg123-0.59r-4.i386.rpm
glibc-2.1.3-14

Contact me if you want me to try any patches or anything.

Comment 2 Elliot Lee 2000-07-17 21:14:28 UTC
I think this change was to esd_send_file in the interests of correctness in
interpreting the .wav file format.	


Note You need to log in before you can comment on or make changes to this bug.